## org.eclipse.emf.ocl.utilities
Interface UtilitiesFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  UtilitiesFactoryImpl

Deprecated. Use the `EcoreFactory` interface, instead.

    @Deprecated
    public interface UtilitiesFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `UtilitiesPackage`

Field Summary
`static String` `copyright` Deprecated.
`static UtilitiesFactory` `eINSTANCE` Deprecated. The singleton instance of the factory

Method Summary
`Visitable` `createVisitable()` Deprecated. Returns a new object of class 'Visitable'
`UtilitiesPackage` `getUtilitiesPackage()` Deprecated. Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eINSTANCE

    static final UtilitiesFactory eINSTANCE

  Deprecated.
  The singleton instance of the factory.

Method Detail

### createVisitable

    Visitable createVisitable()

  Deprecated.
  Returns a new object of class 'Visitable'.

  Returns:
    a new object of class 'Visitable'.

### getUtilitiesPackage

    UtilitiesPackage getUtilitiesPackage()

  Deprecated.
  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.